Status: Resolved Priority: Should have
Has patch: No
Subject: form.errors ViewHelper should merge property errors
Description

At the moment, the form.errors view helper returns, when the first PropertyError with the correct property name was found.

This is not sufficient because someone might add more errors to the errors array for the same property. So if I add a new property
error in my validator, it won't get rendered, if the validators defined by @ annotations also added errors for the same property before.

This is what I do in the validator of my domain model:

$error = t3lib_div::makeInstance('Tx_Extbase_Validation_PropertyError', 'mypropertyname');
$error->addErrors(array(new Tx_Extbase_Validation_Error('My error message.', 1233456789)));
$this->errors[] = $error;    

At first, I reported this as an exbase bug (#9215) but I think this is more a issue of the form.errors view helper.

I'll attached a patch that should fix this issue.

History
#1 - 2011-02-11 18:01 - Alexander Stehlik
- File sysext-fluid-12991-form_error_merge.diff added

#2 - 2011-05-06 10:08 - Sebastian Kurfuerst
- Parent task set to #26658

#3 - 2011-09-09 15:20 - Robert Lemke
- Target version changed from 1.0 beta 2 to 1.0.0

#4 - 2011-10-20 01:48 - Karsten Dambekalns
- Target version deleted (1.0.0)

#5 - 2012-03-12 18:52 - Christian Müller
- Status changed from New to Resolved
- Has patch set to No

This is possible in the meantime with the ValidationResults ViewHelper in FLOW3.

Files
sysext-fluid-12991-form_error_merge.diff 789 Bytes 2011-02-11 Alexander Stehlik
